选择一种颜色吧
局部定制

选择区域,更换背景

Fcitx4.x安装问题总结

精品推荐
product-image
  • 收藏
  • 加入购物车
product-image
  • 收藏
  • 加入购物车
product-image
  • 收藏
  • 加入购物车
Fcitx4.x安装问题总结 21/10/2020
news-image

简介:     

       Fcitx──小企鹅输入法:Free Chinese Input Toy for X是一个以GPL方式发布的、基于XIM的简体中文输入法集合(原为G五笔),包括五笔、五笔拼音、二笔、仓颉、晚风、冰蟾全息、拼音(全拼和双拼)、区位以及码表输入模块。 Fcitx是非常轻巧的输入法,但是原作者于2007年夏终止了该项目,据传其导火索缘于有编程高手 质疑其代码风格。 很快便传出有人接手了其项目,目前Fcitx仍在开发中。

系统:ubuntu 11.04

安装方法:

1、请打开终端,并执行以下命令

        为了防止scim与fcitx冲突,如果你安装了scim,你最好卸载掉scim:

        sudo apt-get purge scim

        sudo add-apt-repository ppa:fcitx-team/stable #最新的版本都不需要

        sudo apt-get update

        sudo apt-get install fcitx fcitx-config-gtk fcitx-sunpinyin

        sudo apt-get install fcitx-table-all #同时安装其他码表

        im-switch -s fcitx -z default  #设为默认输入法,一般不需要,除非系统有多个输入法,需要安装im-switch

        此方法不会安装fcitx最新版本,我安装后版本为4.1.2,其实打开新立得软件包管理器安装也一样,可以看到上面的最新版本也是4.1.2。

2、安装最新版本(截止2012-11-5,Fcitx4.2.6.1)    

        a、sudo gedit /etc/apt/sources.list

        添加下面的内容:

        deb http://ppa.launchpad.net/fcitx-team/nightly/ubuntu oneiric main
        deb-src http://ppa.launchpad.net/fcitx-team/nightly/ubuntu oneiric main 

        b、sudo apt-get update

        如果之前你安装过别的版本的fcitx,那么这一步先是将其卸载:sudo apt-get autoremove fcitx,之后再: sudo apt-get install fcitx

       c、sudo apt-get install fcitx-table-all  #可以指定安装哪种输入法,如:fcitx-table-wbpy(五笔拼音)

        安装之后,我们就可以使用fcitx输入法了,你也可以去设置一下这个输入法,例如让其只有五笔的码表可以被选择等……

3、下载Fcitx源码安装

        在源码主目录INSTALL文件中有提示如何安装,不再说明。

主要问题:

        1、fcitx不会随系统自启动,打开目录:/etc/X11/Xsession.d/  新建文件92fcitx,内容如下:

export LANG="zh_CN.UTF-8" #设置中文locales,如果不设,fcitx启动后乱码,不能使用。 
export XIM_PROGRAM=fcitx 
export XIM=fcitx 
export XMODIFIERS="@im=fcitx" 
fcitx& 

       关于设置fcitx自启动方法还有很多,不再列举,能用一种方法实现就可以了。

      2、fcitx-config-gtk为fcitx图形界面的设置软件包,最新版本笔者没有安装,提示如下:

          libgtk-3-0版本过低,好吧,我就再装这个包,NND,下载源码后编译竟然又提示

        这不是捅了马蜂窝吗?我才没这耐心又把这些补上(呵呵),搞不好又出现一大堆问题,所以直接用fcitx自带的文件配置就可以了。

        3、如何之前安装过fcitx,并且使用sudo apt-get autoremove fcitx 卸载后还是提示:

 

        这是软件没有卸载干净的缘故,打开新立得软件包管理器:

          把已安装的fcitx软件包全部卸载删除,这样安装就不会提示上面的问题了。

       

作者:kunoy
申明:作者写博是为了总结经验,和交流学习之用。
如需转载,请尽量保留此申明,并在文章页面明显位置给出原文连接。谢谢!

注重安全

信息安全防护

客户至上

最大程度满足客户需求

专业开发

没有做不到,只有想不到

高效快速

扁平化管理,极速反应